[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashList.FindWithHash

Find first element with given name and hash value

## Declaration

Source position: contnrs.pp line 245

`public function TFPHashList.FindWithHash(`
`const AName: shortstring;`
`AHash: LongWord`
`):Pointer;`

## Arguments

`AName` |  | Key value to search for.
`AHash` |  | Hash value of the key AName

## Function result

Data pointer associated with key AName

## Description

FindWithHash searches for the item with key AName. It uses the provided hash value AHash to perform the search. If the item exists, the data pointer is returned, if not, the result is Nil.

## See also

TFPHashList.HashOfIndex |  | Return the hash valye of an item by index
TFPHashList.NameOfIndex |  | Returns the key name of an item by index
TFPHashList.IndexOf |  | Return the index of the data pointer
TFPHashList.Find |  | Find data associated with key
TFPHashList.FindIndexOf |  | Return index of named item.

Documentation generated on: Feb 26 2014